=== modified file 'tests/dbqp.py'
--- tests/dbqp.py	2011-02-17 16:27:25 +0000
+++ tests/dbqp.py	2011-03-02 00:52:00 +0000
@@ -51,32 +51,35 @@
 execution_manager = None
 
 try:
-    # Some system-level work is constant regardless
-    # of the test to be run
-    system_manager = systemManager(variables)
-
-    # Create our server_manager
-    server_manager = serverManager(system_manager, variables)
-
-    # Get our mode-specific test_manager and test_executor
-    (test_manager,test_executor) = handle_mode(variables, system_manager)
-
-    # Gather our tests for execution
-    test_manager.gather_tests()
-
-    # Initialize test execution manager
-    execution_manager = executionManager(server_manager, system_manager
-                                    , test_manager, test_executor
-                                    , variables)
-
-    # Execute our tests!
-    execution_manager.execute_tests()
-
-except Exception, e:
-   print Exception, e
-
-except KeyboardInterrupt:
-  print "\n\nDetected <Ctrl>+c, shutting down and cleaning up..."
+    # We do this nested try to accomodate red hat
+    # running python 2.4...seriously?  2.4?
+    try:
+        # Some system-level work is constant regardless
+        # of the test to be run
+        system_manager = systemManager(variables)
+
+        # Create our server_manager
+        server_manager = serverManager(system_manager, variables)
+
+        # Get our mode-specific test_manager and test_executor
+        (test_manager,test_executor) = handle_mode(variables, system_manager)
+
+        # Gather our tests for execution
+        test_manager.gather_tests()
+
+        # Initialize test execution manager
+        execution_manager = executionManager(server_manager, system_manager
+                                        , test_manager, test_executor
+                                        , variables)
+
+        # Execute our tests!
+        execution_manager.execute_tests()
+    
+    except Exception, e:
+       print Exception, e
+
+    except KeyboardInterrupt:
+      print "\n\nDetected <Ctrl>+c, shutting down and cleaning up..."
 
 finally:
 # TODO - make a more robust cleanup

